--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Returns the setting of parameter <em>param_name</em>, where <em>param_name</em> is one of
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: <tt>server_version</tt>
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: <tt>server_encoding</tt>
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: <tt>client_encoding</tt>
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: <tt>is_superuser</tt>
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: <tt>session_authorization</tt>
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: <tt>DateStyle</tt>
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: <tt>TimeZone</tt>
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: <tt>integer_datetimes</tt>
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: <tt>standard_conforming_strings</tt>
  type: :BULLET
- !ruby/struct:SM::Flow::P 
  body: Returns nil if the value of the parameter is not known.
full_name: PGconn#parameter_status
is_singleton: false
name: parameter_status
params: |
  conn.parameter_status( param_name ) -> String

visibility: public
